//========================================================================================
//
//	File:				Constant.h
//	Release Version:	$ ODF 1 $ 
//
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef CONSTANT_H
#define CONSTANT_H

#ifndef FWFXMATH_H
#include "FWFxMath.h"
#endif

// ----- Default number of cells -----
const ODULong kMaxCols = 32;
const ODULong kMaxRows = 32;

// ----- Default size of cell -----
const FW_Fixed kDefaultCellWidth  = FW_IntToFixed(80);
const FW_Fixed kDefaultCellHeight = FW_IntToFixed(80);

typedef short ETableLoc;
const ETableLoc kTLNone = -1;
const ETableLoc kTLCell = 0;
const ETableLoc kTLLeftBorder = 1;
const ETableLoc kTLRightBorder = 2;
const ETableLoc kTLTopBorder = 4;
const ETableLoc kTLBottomBorder = 8;

// ----- Hit-test constants -----
const FW_Fixed kPenWidth  = FW_IntToFixed(1);
const FW_Fixed kPenHeight = FW_IntToFixed(1);

const FW_Fixed kVMargin = FW_IntToFixed(4); // width of vertical line margin
const FW_Fixed kHMargin = FW_IntToFixed(4); // height of horz. line margin

const FW_Fixed kBorderWidth  = kPenWidth;
const FW_Fixed kBorderHeight = kPenHeight;

#endif